diff --git a/web/pgadmin/dashboard/static/scss/_dashboard.scss b/web/pgadmin/dashboard/static/scss/_dashboard.scss
index e1399d9ea..f28d5cdfc 100644
--- a/web/pgadmin/dashboard/static/scss/_dashboard.scss
+++ b/web/pgadmin/dashboard/static/scss/_dashboard.scss
@@ -3,13 +3,13 @@
 }
 
 .dashboard-container {
-    padding-top: $grid-gutter-width/2;
-    padding-bottom: $grid-gutter-width/2;
+    padding-top: math.div($grid-gutter-width, 2);
+    padding-bottom: math.div($grid-gutter-width, 2);
     min-height: 100%;
 }
 
 .dashboard-row {
-    margin-bottom: $grid-gutter-width/2;
+    margin-bottom: math.div($grid-gutter-width, 2);
 }
 
 .graph-error {
diff --git a/web/pgadmin/static/scss/_pgadmin.grid.scss b/web/pgadmin/static/scss/_pgadmin.grid.scss
index 6e3af52bb..a4f29386d 100644
--- a/web/pgadmin/static/scss/_pgadmin.grid.scss
+++ b/web/pgadmin/static/scss/_pgadmin.grid.scss
@@ -12,8 +12,8 @@
   %grid-column {
     position: relative;
     width: 100%;
-    padding-right: ($gutter / 2);
-    padding-left: ($gutter / 2);
+    padding-right: math.div($gutter, 2);
+    padding-left: math.div($gutter, 2);
   }
 
   @each $breakpoint in map-keys($breakpoints) {
diff --git a/web/pgadmin/static/scss/_webcabin.pgadmin.scss b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
index ea4905e76..d24b22e55 100644
--- a/web/pgadmin/static/scss/_webcabin.pgadmin.scss
+++ b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
@@ -194,7 +194,7 @@
 }
 
 .wcFrameEdgeN, .wcFrameEdgeS {
-  height: $splitter-hover-width/2 + 1;
+  height: math.div($splitter-hover-width, 2) + 1;
 }
 
 .wcFrameEdgeN {
@@ -206,7 +206,7 @@
 }
 
 .wcFrameEdgeW, .wcFrameEdgeE {
-  width: $splitter-hover-width/2 + 1;
+  width: math.div($splitter-hover-width, 2) + 1;
 }
 
 .wcFrameEdgeW {
diff --git a/web/pgadmin/static/scss/resources/_default.variables.scss b/web/pgadmin/static/scss/resources/_default.variables.scss
index 9e1583ee9..dec233aac 100644
--- a/web/pgadmin/static/scss/resources/_default.variables.scss
+++ b/web/pgadmin/static/scss/resources/_default.variables.scss
@@ -64,7 +64,7 @@ $font-family-base:      $font-family-primary;
 $body-color: $color-fg;
 $font-size-base: 0.875rem;
 $line-height-base: 1.5;
-$text-height-calc: $line-height-base*$font-size-base/1rem;
+$text-height-calc: math.div($line-height-base*$font-size-base, 1rem);
 $grid-gutter-width: 15px;
 $border-radius: 0.25rem;
 
diff --git a/web/pgadmin/static/scss/resources/pgadmin.resources.scss b/web/pgadmin/static/scss/resources/pgadmin.resources.scss
index 787f83663..a92a34470 100644
--- a/web/pgadmin/static/scss/resources/pgadmin.resources.scss
+++ b/web/pgadmin/static/scss/resources/pgadmin.resources.scss
@@ -1,3 +1,4 @@
 /* All the global variables, mixins goes here */
+@use "sass:math";
 @import 'default.variables.scss';
 @import 'default.style.scss';
